
clear all;
close all;

%%%%%%%%%%%

%%%%%%%%%%%%
read_parameters_Stratus;
day =input('Input year month day to evaluate (YYMMDD, 070701, 070702, 070710....): ','s');
% 0705 is YYMM
fname=[day '*.csv'];

tit = cruise;
lt = length(cruise);
tit(lt+1) = '-';
tit((lt+2):lt+5) = year;

%s1=['F:\AMMA_2007\RHB\radiometer\Mailbox\Raw\' fname];
%s='F:\AMMA_2007\RHB\radiometer\Mailbox\Raw\';
s1=[way_raw_data_aerosol fname];
s=way_raw_data_aerosol;
dr=dir(s1);

year = day(1:2);
month = day(3:4);
dd = day(5:6);
ifx=find(s1=='*');
time=[];chnl0=[];chnl1=[];chnl2=[];chnl3=[];chnl4=[];chnl5=[];flow_rate=[];
ict = 0;
for i=1:length(dr)  %loop though hourly csv files
	dr(i).name;
    s1=[s1(1:ifx-1) dr(i).name(7:12)]
	clear temp hour time1;
    temp=importdata([s1],',');

	hr=str2num(dr(i).name(7:8));
	time1=[];
	[nmd,mmd]=size(temp.textdata);%bug if header line is missing
	for j=2:nmd
ict = ict + 1;
		dummy=temp.textdata(j,2);

		dummy=dummy{1};

        hour=str2num(dummy(2:3));
		minute=str2num(dummy(5:6));

		sec=str2num(dummy(8:9));
		
        tt(ict) = hour + ((minute +(sec/60))/60); %DEW 10182006
		time1=[time1 hour*3600+minute*60+sec];
		clear minute sec dummy;
	end
	[nmd length(time1) length(temp.data)];	
	time=vertcat(time,time1');
	flow_rate=vertcat(flow_rate,temp.data(:,1));
	chnl0=vertcat(chnl0,temp.data(:,4));
	chnl1=vertcat(chnl1,temp.data(:,6));
	chnl2=vertcat(chnl2,temp.data(:,8));
	chnl3=vertcat(chnl3,temp.data(:,10));
	chnl4=vertcat(chnl4,temp.data(:,12));
	chnl5=vertcat(chnl5,temp.data(:,14));


end

dtt=median(diff(tt))*60;%time interval, min
flow=median(flow_rate);
figure()
set(gcf,'defaultaxesfonts',12)
set(gca,'fontname','time','fontsize',10);
subplot(2,1,1)
%semilogy((time-time(1))/3600,chnl0,'b.')
%hold on
%semilogy((time-time(1))/3600,chnl1,'r.')
%semilogy((time-time(1))/3600,chnl2,'g.')
%semilogy((time-time(1))/3600,chnl3,'y.')
%semilogy((time-time(1))/3600,chnl4,'c.')
%semilogy((time-time(1))/3600,chnl5,'k.')
% DEW Oct 18,2006
semilogy(tt,10*chnl0./(flow*dtt),'b.')
hold on
semilogy(tt,10*chnl1./(flow*dtt),'r.')
semilogy(tt,10*chnl2./(flow*dtt),'g.')
semilogy(tt,10*chnl3./(flow*dtt),'y.')
semilogy(tt,10*chnl4./(flow*dtt),'c.')
semilogy(tt,10*chnl5./(flow*dtt),'k.')
%h=legend('0.1 \mum','0.2 \mum','0.3 \mum','0.5 \mum','1 \mum','5 \mum','location','best')
h=legend('0.1 \mum','0.2 \mum','0.3 \mum','0.5 \mum','1 \mum','5 \mum','orientation','horizontal','location','bestoutside');
set(h,'fontsize',8)
ylabel('Particles (cm^{-3})');
ylim([.1 10^3])
title([cruise year 'PMS ' num2str(day)])
xlim([0 24])
subplot(2,1,2)
semilogy(tt,10*(chnl0+chnl1+chnl2+chnl3+chnl4+chnl5)./(flow*dtt),'k.');
%semilogy((time-time(1))/3600,chnl0+chnl1+chnl2+chnl3+chnl4+chnl5,'k.');
ylabel('No. of Particles (cm^{-3})');
xlabel('UTC Time (Hour)')
title('Total No. of particles')
xlim([0 24]);ylim([1 1e3])

print_buffer=['-djpeg90 ' way_images_aerosol 'pms.' day '.jpg']
eval(['print ' print_buffer]);

figure
subplot(2,1,1)
semilogy(tt,10*chnl0./(flow*dtt),'b.')
ylabel('No of Particles 0.3 \mum')
title([cruise year ' PMS ' num2str(day)])
xlim([0 24]);ylim([1 1e3])
%%%flow=2.829e4
subplot(2,1,2)
plot(tt,flow_rate,'r');axis([0 25 1 5e4]);

xlabel('UTC Time (Hour)')
ylabel('Flow Rate (cc/min)')
print_buffer=['-djpeg90 ' way_images_aerosol 'pms_flowrate.' day '.jpg']
eval(['print ' print_buffer]);
 
