disp('epicz_weller_daily');
   %************************  daily averages  ***********	
 clear gd raind rsd rld rnld hnd ud hsd hld tsd tsgd jdd latd lond tad rlclrd rsclrd taud ux uy qsd qad
   jj0=floor(jdq(1));
[nn,nx]=size(jdq);
mx=floor(jdq(nn))-jj0+1;jj=0;
for i=1:mx
   ii=find(floor(jdq)==jj0 & isfinite(U) & isfinite(hlb));
   jdd(i)=mean(jdy(ii));
   uxd(i)=mean(U(ii).*cos(pi/180*dir(ii)));
   uyd(i)=mean(U(ii).*sin(pi/180*dir(ii)));
   ud(i)=mean(U(ii));
   ugd(i)=mean(sqrt(U(ii).^2+wgust(ii).^2));
   sigud(i)=var(U(ii));
   raind(i)=mean(org(ii));
	rsd(i)=mean(rs(ii));
   rld(i)=mean(rl(ii));
   rnld(i)=mean(rlnet(ii));
	hnd(i)=mean(hnet(ii));
   ud(i)=mean(U(ii));
   hsd(i)=mean(hsb(ii));
   hld(i)=mean(hlb(ii));
   taud(i)=mean(taub(ii));
   tsd(i)=mean(tsnk(ii));
   tad(i)=mean(ta(ii));
   tsgd(i)=mean(tsg(ii));
   qsd(i)=mean(qse(ii));
   qad(i)=mean(qa(ii));
   latd(i)=mean(lat(ii));
   lond(i)=mean(lon(ii));
   rsclrd(i)=mean(Rscl(ii));
   rlclrd(i)=mean(rlclr(ii));
   gd(i)=mean(wgust(ii).^2);
   jj=min(jj+288,nn-1);
   jj0=floor(jdq(jj+1));   
end;
uv=sqrt(uxd.^2+uyd.^2);


%figure;plot(latd,rsd-rsclrd,'o',latd,rld-rlclrd,'x',[-10 12],[0 0 ]);set(gca,'fontsize',14);axis([-10 12 -250 100]);xlabel('Latitude (deg)');ylabel('Cloud Forcing (W/m^2)');   
%figure;h=plot(jdd,rsd-rsclrd,'-o',jdd,rld-rlclrd,'-x',[stdt endt],[0 0 ],jdd,24*raind,'-');set(gca,'fontsize',14);set(h,'LineWidth',2);axis([stdt endt -150 100]);xlabel(timelab);ylabel('Cloud Forcing (W/m^2)');   

figure;
h=plot(jdd,rsd-rsclrd,'-o',jdd,rld-rlclrd,'-x',[stdt endt],[0 0 ],'-');
set(gca,'fontsize',14);set(h,'LineWidth',2);
axis([stdt endt -400 100]);xlabel(['Julian Day (UTC)']);
ylabel('Cloud Forcing (W/m^2)'); 
title([cruise year ' SW(o) LW(x)'])
print_buffer = [sprin '_CloudForcing.jpg'];
print('-djpeg90 ', print_buffer);

figure;
h=plot(jdd,hnd,'-x',[stdt endt],[0 0 ]);
set(gca,'fontsize',14);set(h,'LineWidth',2);
axis([stdt endt -300 200]);
xlabel(timelab);
ylabel('Net Heat Flux (W/m^2)');
title(tit)
print_buffer = [sprin '_Net.jpg'];
print('-djpeg90 ', print_buffer);

figure;
h=plot(jdd,.95*rsd,'-o',jdd,hsd,'-d',jdd,hld,'-^',jdd,rnld,'-x',[stdt endt],[0 0 ]);
set(gca,'fontsize',14);set(h,'LineWidth',2);
axis([stdt endt -100 300]);
xlabel(timelab);
ylabel('Heat Flux Components (W/m^2)');  
title([cruise year ' SWm(cir) Hsen(dia) Hlat(tri) NetIR(x)'])
print_buffer = [sprin '_SW_hs_Hl_net.jpg'];
print('-djpeg90 ', print_buffer);