%profiler_cn2.m
%assumes radar setting from old 915 MHz profilers
%uses the Gage signal to noise equation


C=3e8;%speed light
k=1.38e-23;%botzmann


B=1/5e-5/160;%coherent integration bandwidth
Dr=105;%C*tau/2, lo mode
F=9.15e8;%frequency
Lam=C/F;%wavelength
Pt=550;%transmit peak power
Ae=4;%Antenna area
Fr=1/5e-5;%pulse rep freq
A=0.5;%total efficiency
Tcos=0;%ave cosmic noise
Trec=170;%receiver noise temp
Thet=0;

Fc=9*pi*C*k*B*(A*Tcos+Trec)*Lam^.333/(0.76*A^2*Pt*Fr*Ae*cos(Thet)*Dr^2);

cn2=Fc*10.^(SNR/10);
cq2=cn2.*(1.66e3*290^2/900)^2;

